# ДЗ №1

<details>
<summary>Вопросы</summary>

![](ДЗ1.png)

</details>

**1.**
- интеграционный тест

| ID | Описание | Входные данные | Шаги | Ожидаемый результат | Фактические результаты | Статус |
| :---: | :--- | --- | --- | --- | --- | :---: |
| `1` | Проверка раздела "Черновики" | Приложение электронной почты с авторизированным пользователем | Открыть приложение электронной почты, перейти в раздел "Черновики" | Открылся раздел "Черновики" | Раздел "Черновики" открыт | **Пройден успешно** |
| `2` | Проверка переноса не отправленного сообщения в раздел "Черновики" | Приложение электронной почты с авторизированным пользователем | Открыть приложение электронной почты, перейти в раздел "Отправить письмо". В окне ввода текста для сообщения ввести "тест" и нажать на раздел "Черновики" | Открылся раздел "Черновики" с письмом, в котором текст "тест" | Раздел "Черновики" открыт с сохранённым письмом | **Пройден успешно** |

- дымовой тест

| ID | Описание | Входные данные | Шаги | Входные данные | Ожидаемый результат | Фактические результаты | Статус |
| :---: | :--- | --- | --- | --- | --- | --- | :---: |
| `3` | Проверка основного функционала приложения | Приложение электронной почты | Открыть приложение электронной почты, на странице входа ввести логин и пароль, выбрать написать новое письмо, ввести текст, ввести адресат и нажать на "Отправить письмо" | Логин *`mymail@gmail.com`* Пароль *`qwerty`* Текст *`проверка`* Адресат *`test@mail.com`* | Письмо с текстом *`проверка`* пришло на почту *`test@mail.com`* | Письмо пришло | **Пройден успешно** |

- ре-тест

| ID | Описание | Входные данные | Шаги | Ожидаемый результат | Фактические результаты | Статус |
| :---: | :--- | --- | --- | --- | --- | :---: |
| `4` | Поверка перемещения удалённых писем в раздел "Удалённые" | Приложение электронной почты с авторизированным пользователем и с минимум одним входящем сообщением | Открыть приложение электронной почты, перейти в раздел "Входящие", выбрать первое письмо для удаления, нажать на "Удалить письмо" | Выбранное письмо переместилось в раздел "Удалённые" | Выбранное письмо переместилось в раздел "Отправленные" | **Не пройден** |

- нефункциональный тест

Проверить удобно ли для пользователя расположен новый раздел "Черновики"


**2.**
- добавлен раздел “Спам”

Да. В приложение было внесено изменение в виде добавления нового функционала как раздел "Спам" и нужно проверить как ведут себя другие разделы и само приложение
- раздел “Удаленные” переименован в раздел “Корзина”

И Да и Нет. Если есть доступ к коду, то можно посмотреть, как присваиваются имена разделам и если переменные берутся в одном месте и с ними всё просто и понятно, то можно не проводить регрессионное тестирование. А если метод чёрного ящика, то лучше провести тестирование, кто знает как разработчик реализует отображение имён в разделах, может там всё сложно и приложение вообще не запустится

- на «Странице входа» устранен ранее обнаруженный дефект

Нет. Сначала нужно провести повторное тестирование

**3.**

Дымовое тестирование

**4.**

Регрессионное тестирование
